# $Id: const.py,v 1.4 2001/06/18 09:43:53 drozd Exp $
# (c) 2001 Sergey M Lyubka <devnull@tecnomen.ie>
#
# AIM protocol & other constants

import proto


# table used to encode passwords
xor_table = [ \
    0xf3, 0x26, 0x81, 0xc4,
    0x39, 0x86, 0xdb, 0x92,
    0x71, 0xa3, 0xb9, 0xe6,
    0x53, 0x7a, 0x95, 0x7c ]

CLIENT_STRING    = '''AOL Instant Messenger (SM), version 4.1.2010/WIN32'''

TCP_PACKET_MAXLEN    = 0x400

# timeout for socket select()
SELECT_TIMEOUT        = 0.01

ICQ_MODE_ONLINE        = 0x0
ICQ_MODE_OFFLINE    = 0x1

POLL_DELAY        = 35


# cmd:(snac_family, snac_subtype)
cmd_table = { \
  'server-ready' : (proto.AIM_SNAC_FAMILY_CTL, proto.AIM_SNAC_CTL_S_READY),
  'server-rate-response': (proto.AIM_SNAC_FAMILY_CTL, proto.AIM_SNAC_CTL_S_RATE_RESPONSE),
  'hash-request' :(proto.AIM_SNAC_FAMILY_CTL,proto.AIM_SNAC_CTL_S_HASH_REQUEST),
  'info-in'   :    None,                # user info server reply
  'info-out'  :    None,                # user info client request
  # incoming message
  'msg-in'    :    (proto.AIM_SNAC_FAMILY_MSG, proto.AIM_SNAC_MSG_S_MSG),
  # send message
  'msg-out'   :    None,
  # buddy becomes online
  'online'    :    (proto.AIM_SNAC_FAMILY_LIST, proto.AIM_SNAC_LST_S_IN),
  'offline'   :    (proto.AIM_SNAC_FAMILY_LIST, proto.AIM_SNAC_LST_S_OUT)
}




