#!/usr/bin/env python
# 
# $Id: log.py,v 1.5 2001/06/18 09:43:53 drozd Exp $
# (c) Sergey Lyubka <devnull@tecnomen.ie>
#

import time
import config

LOG_DIR        = config.get_root_dir() + '/log/'
FILE_ERROR    = 'error.log'
FILE_DEBUG    = 'debug.log'


class CLogger:

    def __init__(self, dir=LOG_DIR):
        self.dir    = dir
    

        
    def log_error(self, msg):
        self.__atomic_file_write(FILE_ERROR, 
            '%s --> %s \n' %(time.ctime(time.time()), msg) )

    
    def log_uin(self, uin, msg):
        self.__atomic_file_write(str(uin), 
            '%s --> %s \n' %(time.ctime(time.time()), msg) )

    
    def log_debug(self, msg):
        self.__atomic_file_write(FILE_DEBUG, msg)
    
        
    def get_uin_log(self,uin):
        return self.__atomic_file_read(str(uin))
        

    def get_error_log(self,uin):
        return self.__atomic_file_read(FILE_ERROR)
        
    
    def __atomic_file_write(self, file_name, data):
        f = open(self.dir + file_name, 'a+')
        f.write(data)
        f.close()

    
    def __atomic_file_read(self, file_name):
        f =  open(self.dir + file_name, 'r')
        data = f.read()
        f.close()
        return data


    def log_dump(self,data):
        f = open(self.dir + str(int(time.time())), 'w+' )
        f.write(data)
        f.close




logger    = CLogger()
